List organizations
curl --request GET \
--url https://charts.basedash.com/api/public/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://charts.basedash.com/api/public/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://charts.basedash.com/api/public/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"customAiContext": "<string>",
"insightsAiContext": "<string>",
"onboardingStatus": "LEGACY",
"fullEmbedEnabled": true,
"embedAllowedOrigins": [
"<string>"
],
"billingAccountId": "<string>",
"isBillable": true,
"insightsEnabled": true,
"automationNotificationsVisible": true,
"insightsFrequency": "DAILY",
"insightsPreferredDayOfWeek": 123,
"insightsPreferredDayOfMonth": 123,
"allowOnDemandAiUsage": true,
"aiUsageOverageLimitCents": 123,
"billingEmail": "<string>",
"sendInvoicesToBillingEmail": true,
"defaultDashboardAccessAudience": "EVERYONE",
"defaultDashboardAccessLevel": "MANAGE",
"defaultChatAccessAudience": "EVERYONE",
"defaultChatAccessLevel": "MANAGE",
"defaultAutomationAccessAudience": "EVERYONE",
"defaultAutomationAccessLevel": "MANAGE",
"trialEndsAt": "<string>",
"jwtSecret": "<string>"
}
],
"pagination": {
"nextCursor": "<string>",
"hasMore": true
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Organizations
List organizations
Lists all organizations where the authenticated user is a member. Results are paginated and ordered by creation date (newest first).
GET
/
api
/
public
/
organizations
List organizations
Authorizations
API key authentication using Bearer token format: Bearer <basedash_api_key>
Query Parameters
Maximum number of items to return (1-100, default 50)
Required range:
1 <= x <= 100Cursor for pagination (ID of the last item from previous page)
Include sensitive fields in the response. Use jwtSecret to include the embed JWT secret (only included for organizations where the user is an admin).
Available options:
jwtSecret Was this page helpful?
⌘I